Page MenuHomePhabricator

Create Wikimania 2018 wiki
Closed, ResolvedPublic

Details

Related Gerrit Patches:
mediawiki/services/parsoid : masterAdd hiwikiversity, techconductwiki and wikimania2018wiki
operations/mediawiki-config : masterInitial configuration for wikimania2018wiki
mediawiki/extensions/WikimediaMessages : masterAdd wikimania2018wiki
operations/puppet : productionrestbase: add wikimania2018
operations/puppet : productionlabs dnsrecursor: add wikimania2018
operations/puppet : productionapache: add wikimania2018 server alias

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 331523 had a related patch set uploaded (by Dzahn):
restbase: add wikimania2018

https://gerrit.wikimedia.org/r/331523

Change 331526 had a related patch set uploaded (by Dzahn):
labs dnsrecursor: add wikimania2018

https://gerrit.wikimedia.org/r/331526

greg added a subscriber: greg.Jan 10 2017, 7:40 PM

Change 331527 had a related patch set uploaded (by Dzahn):
apache: add wikimania2018 server alias

https://gerrit.wikimedia.org/r/331527

Discussion for one consolidated wiki

There are ongoing concerns to consolidate all Wikimania wikis into one, with a suggestion given by @Addshore to use namespace per year.

@faidon expressed concerns about search, addressed with the suggestion to configure search to be tied to the current edition by default.

That would have benefits for contributors: templates would be there and available, everything would already be configured.

Proposal to move forward

It could be interesting to create this wiki as wikimaniawiki, and experiment this unique wiki for the 2018 and 2019 editions, with the "one year, one namespace" pattern and see if it works well.

After the 2019, we'll be able to see if it works well. If so, we'll use this wiki for 2020+ editions too, if not we'll create wikimania2020wiki.

Change 331527 merged by Dzahn:
apache: add wikimania2018 server alias

https://gerrit.wikimedia.org/r/331527

Change 331526 merged by Andrew Bogott:
labs dnsrecursor: add wikimania2018

https://gerrit.wikimedia.org/r/331526

Meno25 added a subscriber: Meno25.Jan 11 2017, 6:59 AM

@madhuvishy is going to take on the maintain-replica and maintain-meta_p runs here

Hi,

Just for clarifying, will this be a public wiki?

Reedy added a subscriber: Reedy.Jan 11 2017, 9:40 PM

Hi,
Just for clarifying, will this be a public wiki?

Yes, very much so! :)

Change 331523 merged by Dzahn:
restbase: add wikimania2018

https://gerrit.wikimedia.org/r/331523

Are we creating a combined wiki? Or just a single purpose one?

Are we creating a combined wiki? Or just a single purpose one?

I suppp...(65535*p)port merging all Wikimania20XX wikis to one wikimania.wikimedia.org

I think it would be terrific to to combine/have one but is this extra work? Usually we just create a single one each year.... Whatever you think would work best. We need to get this done asap so the folks can announce/put up the conference wiki in the next couple of weeks for 2018.... Thanks, ellie

Reedy added a comment.EditedJul 16 2017, 9:06 PM

All the pages would need transwiki importing, renaming into namespaces... Organisational structure defining...

I really don't know whose decision this should be.

Just creating a new wiki isn't a trivial process, but it's not complex either. And is the simplest way moving forward as things stand.

Or, if we created a wikimania.wikimedia.org... We could just start 2018 in there, and then slowly import data over. But then it gets confusing with wikimania2017

I don't think this is the correct avenue for a discussion. Mailing lists? A separate task? Onwiki? An RfC? All seem potentially better avenues for doing this

Dcljr added a subscriber: Dcljr.Jul 17 2017, 2:22 AM

Not meaning to step on any toes here, but ISTM this request should only result in a Wikimania 2018 wiki. If a combo wiki is desired, that should be separate task (and a separate effort), no?

greg added a comment.Jul 26 2017, 10:19 PM

I think it would be terrific to to combine/have one but is this extra work? Usually we just create a single one each year.... Whatever you think would work best. We need to get this done asap so the folks can announce/put up the conference wiki in the next couple of weeks for 2018.... Thanks, ellie

Given this, and no clear ownership for making the decision for a combined wiki, let's simply create wikimania2018.wm.o for now and *immediately* file a task about a combined wiki moving forward that we can bike-shed on for at most 11 months (before the call for wikimania2019.wm.o is filed).

I agree. This comes up every year and it's always a matter of allocating staff time to do this.... so please proceed to creating wikimania2018.wm.o for now! Thanks, Ellie

Okay, I'll create initial configuration then.

Urbanecm triaged this task as Low priority.Jul 27 2017, 11:12 AM

Please give me a link to the logo (SVG). Thank you!

Change 368168 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Initial configuration for wikimania2018wiki

https://gerrit.wikimedia.org/r/368168

Douglas here, local organising team head for Wikimania 2018, I just want to repeat Ellie's request to move ahead with the creation of wikimania2018.wm.o

We already have a draft version ready on meta that will be migrated over once the event wiki is setup.

Douglas here, local organising team head for Wikimania 2018, I just want to repeat Ellie's request to move ahead with the creation of wikimania2018.wm.o
We already have a draft version ready on meta that will be migrated over once the event wiki is setup.

Understood. We're going to create one purpose wiki for 2018.

Addshore removed a subscriber: Addshore.Jul 28 2017, 1:02 PM
greg added a comment.Aug 2 2017, 11:05 PM

@Dereckson is this (creating wikimania2018 wiki) something you could help get done?

Reedy added a comment.Aug 2 2017, 11:16 PM

Or I can jfdi too

Change 369815 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/WikimediaMessages@master] Add wikimania2018wiki

https://gerrit.wikimedia.org/r/369815

Change 369815 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Add wikimania2018wiki

https://gerrit.wikimedia.org/r/369815

Once you have create the DB please update T155041 so we can sanitize it on sanitarium and lab hosts
Thanks!

Change 368168 merged by jenkins-bot:
[operations/mediawiki-config@master] Initial configuration for wikimania2018wiki

https://gerrit.wikimedia.org/r/368168

Reedy closed this task as Resolved.Aug 3 2017, 2:41 PM
Reedy claimed this task.

Wiki is created. Any further requests for changes (logo etc) should be made in seperate requests

Change 369928 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/services/parsoid@master] Add hiwikiversity and wikimania2018wiki

https://gerrit.wikimedia.org/r/369928

Change 369928 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Add hiwikiversity, techconductwiki and wikimania2018wiki

https://gerrit.wikimedia.org/r/369928

Dcljr added a comment.Aug 7 2017, 7:04 PM

The content is going to be imported from somewhere? Is that ready to begin?

Wiki is created - it is ready to be used.

Reedy added a comment.Aug 7 2017, 9:13 PM

I do note that the wiki was created relatively early. A quick look back suggests we don't normally do them till after the prior wikimania, and usually it's in the January of the year it's in.

The content is going to be imported from somewhere? Is that ready to begin?

What content exists where?

Probably meta :). See the comment quoted below.

Douglas here, local organising team head for Wikimania 2018, I just want to repeat Ellie's request to move ahead with the creation of wikimania2018.wm.o
We already have a draft version ready on meta that will be migrated over once the event wiki is setup.

I created a few pages, but if I had importer and possibly translationadmin permissions, I might be able to help with what exists on meta.

Urbanecm added a comment.EditedAug 18 2017, 1:41 PM

Then request it from the stewards. We won't handle permission granting issue.

Everything of importance on this list has been imported.

Dcljr added a comment.Aug 23 2017, 1:00 PM

Everything of importance on this list has been imported.

Actually, it looks like nothing has been imported.

@MacFan4000 you cannot just copy and paste content into the wiki. Please coordinate with someone at Meta who can transwiki-import pages into the wiki properly. (Try asking at m:Steward_requests/Miscellaneous.)

Meno25 removed a subscriber: Meno25.Aug 26 2017, 10:28 AM
Discott added a comment.EditedJun 19 2018, 11:56 AM

Hello, URGENT request.

We are trying to upload some photographs of plenary speakers (that they have supplied us with) to the Wikimania 2018 website but I see that the website only allows photographs to be uploaded through Commons. We have only just realised this. We have decided to upload the photographs directly onto the Wikimania site instead of Commons so as to get around copyright issues on commons.

I would like to know is some one could enable us to upload content directly onto the Wikimania site so we can host photographs of our plenary speakers ASAP please?

https://wikimania2018.wikimedia.org/wiki/Special:Upload

Please create a task and add me as the assignee. I don't know the exact status, but if you are NOT a sysop, please ask one, they may be able to do it (in another words, Im not sure if uploading is hard or soft disabled).

Would Monday be ok with you? There's SRE offsite, so there is no regular window this week. I'm wondering if this should be considered as emergency deploy that cannot wait until Monday and if so, why.

Thank you. Best, Martin

Thanks looking into this Martin. I am not a sysmop or very familiar with Phabricator so I hope I have lodged this request correctly. Monday would be okay but sooner would be better if possible. I suppose it is not an emergency but it is urgent as the sooner we get this up the sooner we can fix this issue for Wikimania attendees and the bigger and better an impact we will have in the media for the event.

Urbanecm added a subscriber: revi.Jun 19 2018, 1:29 PM

@Discott Oh, I now realized it is disabled by local - default - MediaWiki:Licenses page. I've asked @revi, local administrator, to add valid licenses to that page. It should enable you uploading very soonly (literally within minutes). Thank you @revi! Best, Martin

revi added a comment.Jun 19 2018, 1:32 PM

Hello, Please make sure to upload within 24 hours from now, because I will disable (delete) it in 24 hours.

There is a known spammer group trying to abuse upload-enabled wikis, and I do not want to give them a new place to abuse, primarily because wikimania-* wikis are not ordinary wikis and don't have full-time admin looking for spam.

Hi revi, thank you for activating it and thank you again Martin for looking into this for us so quickly. I have just uploaded the photographs I have. I am okay with disabling this function within 24 hours but then I can contact you in a few days time to reactivate it? We have one plenary speaker that still has not given us a biography picture yet. We are still trying to follow up with her.

Regards,

Douglas.

revi added a comment.Jun 19 2018, 1:54 PM

Hi revi, thank you for activating it and thank you again Martin for looking into this for us so quickly. I have just uploaded the photographs I have. I am okay with disabling this function within 24 hours but then I can contact you in a few days time to reactivate it? We have one plenary speaker that still has not given us a biography picture yet. We are still trying to follow up with her.
Regards,
Douglas.

Sure, please use this page to contact me.